From 4976951ec45455f14f03e10f952c514d920e8f68 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 11 Jun 2024 11:08:52 +1000
Subject: [PATCH v8] Add quotes for GUCs - bool

---
 src/backend/replication/logical/slotsync.c             | 4 ++--
 src/test/recovery/t/040_standby_failover_slots_sync.pl | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/replication/logical/slotsync.c b/src/backend/replication/logical/slotsync.c
index 56d3fb5..2c60a84 100644
--- a/src/backend/replication/logical/slotsync.c
+++ b/src/backend/replication/logical/slotsync.c
@@ -1074,7 +1074,7 @@ ValidateSlotSyncParams(int elevel)
 		ereport(elevel,
 		/* translator: %s is a GUC variable name */
 				errcode(ERRCODE_INVALID_PARAMETER_VALUE),
-				errmsg("slot synchronization requires %s to be enabled",
+				errmsg("slot synchronization requires \"%s\" to be enabled",
 					   "hot_standby_feedback"));
 		return false;
 	}
@@ -1126,7 +1126,7 @@ slotsync_reread_config(void)
 	{
 		ereport(LOG,
 		/* translator: %s is a GUC variable name */
-				errmsg("slot sync worker will shutdown because %s is disabled", "sync_replication_slots"));
+				errmsg("slot sync worker will shutdown because \"%s\" is disabled", "sync_replication_slots"));
 		proc_exit(0);
 	}
 
diff --git a/src/test/recovery/t/040_standby_failover_slots_sync.pl b/src/test/recovery/t/040_standby_failover_slots_sync.pl
index 3b6dddb..eca0b24 100644
--- a/src/test/recovery/t/040_standby_failover_slots_sync.pl
+++ b/src/test/recovery/t/040_standby_failover_slots_sync.pl
@@ -529,7 +529,7 @@ $standby1->wait_for_log(
 	qr/slot sync worker will restart because of a parameter change/,
 	$log_offset);
 $standby1->wait_for_log(
-	qr/slot synchronization requires hot_standby_feedback to be enabled/,
+	qr/slot synchronization requires "hot_standby_feedback" to be enabled/,
 	$log_offset);
 
 $log_offset = -s $standby1->logfile;
-- 
1.8.3.1

